<template>
  <div style="padding:10px">
    <h1 class="caption">Add a new note</h1>
    <md-editor v-model="noteContent"></md-editor>
    <div class="btn-row">
      <button type="submit" @click="saveNote()">Save</button>
      <button type="reset">Reset</button>
    </div>
  </div>
</template>

<script>
import MdEditor from "../components/MdEditor.vue";

export default {
  components: {
    MdEditor,
  },

  data() {
    return {
      noteContent: "Hola mundo!",
    };
  },

  mounted: {},

  methods: {
    htmlToMd(html) {
      var showdown = require("showdown"),
        converter = new showdown.Converter(),
        md = converter.makeMd(html);
      return md;
    },

    saveNote() {
      alert(this.noteContent);
    },
  },
};
</script>

<style scoped></style>
